Summary:	nano - Nano's ANOther editor, an enhanced free Pico clone
Summary(pl.UTF-8):	nano - jeszcze jeden edytor, darmowy, rozbudowany klon Pico
Name:		nano
Version:	2.2.6
Release:	5
License:	GPL v3+
Group:		Applications/Editors
Source0:	http://www.nano-editor.org/dist/v2.2/%{name}-%{version}.tar.gz
# Source0-md5:	03233ae480689a008eb98feb1b599807
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-ncurses-ncurses.h.patch
URL:		http://www.nano-editor.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	groff
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nano (Nano's ANOther editor) is a small, free and friendly editor
which aims to replace Pico, the default editor included in the
non-free Pine package. Rather than just copying Pico's look and feel,
nano also implements some missing (or disabled by default) features in
Pico, such as "search and replace" and "go to line number".

%description -l pl.UTF-8
nano to mały, otwarty i przyjazny edytor, którego celem jest
zastąpienie Pico, standardowego edytora zawartego w niewolnym pakiecie
Pine. Oprócz wyglądu oraz interfejsu, nano posiada kilka brakujących
(lub wyłączonych standardowo) w Pico funkcji, takich jak: "znajdź i
zastąp" lub "idź do wiersza numer".

%prep
%setup -q
%patch0 -p1
%patch1 -p2

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-all
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO UPGRADE doc/nanorc.sample doc/faq.html
%attr(755,root,root) %{_bindir}/nano
%attr(755,root,root) %{_bindir}/rnano
%{_desktopdir}/nano.desktop
%{_mandir}/man[15]/*
%lang(fr) %{_mandir}/fr/man[15]/*
%{_infodir}/*info*
%{_pixmapsdir}/nano.png
%{_datadir}/nano
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nano.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 62b517e
- fix syntax error in texinfo
- rel 5

* Tue Jan 10 2012 lisu <lisu@pld-linux.org> 653cab6
- no more separated libtinfo(w)

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> a29d5f8
- rel 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d808e41
- release 3

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> e7191f7
- rel 2

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 9734bff
- drop obsolete rm

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 593198c
- 2.2.6

* Mon Aug 09 2010 lisu <lisu@pld-linux.org> c5cf6c3
- link with -ltinfow

* Mon Aug 09 2010 lisu <lisu@pld-linux.org> 659e8b8
- up to 2.2.5
- add -link.patch (link with -ltinfow)

* Fri Apr 16 2010 lisu <lisu@pld-linux.org> 1789656
- 2.2.4

* Mon Feb 15 2010 sparky <sparky@pld-linux.org> 9567219
- BR: groff

* Mon Feb 15 2010 lisu <lisu@pld-linux.org> f2c35a4
- 2.2.3

* Wed Jan 20 2010 lisu <lisu@pld-linux.org> 0d926aa
- 2.2.2

* Thu Dec 24 2009 lisu <lisu@pld-linux.org> 7f52274
- up to 2.2.1

* Sun Dec 20 2009 Adam Gołębiowski <adamg@pld-linux.org> fb58fea
- updated to 2.2.0

* Wed Sep 16 2009 amateja <amateja@pld-linux.org> 1d41228
- updated to 2.1.11

* Tue Aug 04 2009 lisu <lisu@pld-linux.org> 63c2359
- up to 2.1.10

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dac89b1
- release 2

* Tue Feb 17 2009 lisu <lisu@pld-linux.org> 65d4185
- GPL v3+ license
- more verbose files

* Tue Feb 17 2009 lisu <lisu@pld-linux.org> 6e97d68
- 2.1.9

